Bug 142588

Summary: Fix run-bindings-tests on the WinCairo bot
Product: WebKit Reporter: Csaba Osztrogonác <ossy>
Component: New BugsAssignee: Nobody <webkit-unassigned>
Status: RESOLVED WONTFIX    
Severity: Normal CC: achristensen, bfulgham, ossy, roger_fong
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   

Description Csaba Osztrogonác 2015-03-11 12:33:46 PDT
It started to fail again 5 days ago:
https://build.webkit.org/builders/WinCairo%2064-Bit%20Release/builds/44523

Any idea what is the problem on the bot?
Comment 1 Alex Christensen 2015-03-11 13:10:55 PDT
line endings like https://bugs.webkit.org/show_bug.cgi?id=141507

I had been fixing them manually, but let's just set the svn property.  r=me.
Comment 2 Csaba Osztrogonác 2015-03-15 10:35:27 PDT
Only 4 tests fail, how is it possible?

FAIL: (JS) JSTestSerializedScriptValueInterface.cpp
FAIL: (JS) JSTestInterface.cpp
FAIL: (JS) JSTestMediaQueryListListener.cpp
FAIL: (JS) JSTestObj.cpp

And how is it possible if these tests pass on Apple Windows bots,
but fail only on the WinCairo bot?
Comment 3 Csaba Osztrogonác 2015-03-15 10:47:50 PDT
I set svn:eol-style to LF for files in bindings/scripts/test/JS
http://trac.webkit.org/changeset/181508 . Let's see if it helps.

But it should work out of the box if somebody adds a new file.
Comment 4 Alex Christensen 2015-03-16 10:10:22 PDT
(In reply to comment #2)
> Only 4 tests fail, how is it possible?
I had manually replaced \r\n with \n, then somebody touched those four files and svn updated them back to \r\n.
> And how is it possible if these tests pass on Apple Windows bots,
> but fail only on the WinCairo bot?
The Apple Windows bots use a different version of svn, and maybe different versions of Python and Perl.  Who knows.
(In reply to comment #3)
> I set svn:eol-style to LF for files in bindings/scripts/test/JS
> http://trac.webkit.org/changeset/181508 . Let's see if it helps.
Seems to have fixed it.  Thanks!
> But it should work out of the box if somebody adds a new file.
I agree.  I don't think this will happen often, and I don't think it's high priority, but we could look into whatever is comparing the output if it becomes a problem.
Comment 5 Csaba Osztrogonác 2015-05-11 04:56:39 PDT
It is totally broken now, but it is a different bug:

The system cannot find the path specified.


The system cannot find the path specified.


The system cannot find the path specified.


The system cannot find the path specified.


The system cannot find the path specified.


The system cannot find the path specified.


The system cannot find the path specified.


Traceback (most recent call last):
  File "./Tools/Scripts/run-bindings-tests", line 57, in <module>
  File "./Tools/Scripts/run-bindings-tests", line 53, in main
  File "C:\Users\Alex\Documents\WinCairoBot\win-cairo-release\build\Tools\Scripts\webkitpy\bindings\main.py", line 171, in main
    if not self.run_tests(generator, input_directory, reference_directory, supplemental_dependency_file):
  File "C:\Users\Alex\Documents\WinCairoBot\win-cairo-release\build\Tools\Scripts\webkitpy\bindings\main.py", line 143, in run_tests
    if self.detect_changes(generator, work_directory, reference_directory):
  File "C:\Users\Alex\Documents\WinCairoBot\win-cairo-release\build\Tools\Scripts\webkitpy\bindings\main.py", line 106, in detect_changes
    output = self.executive.run_command(cmd)
  File "C:\Users\Alex\Documents\WinCairoBot\win-cairo-release\build\Tools\Scripts\webkitpy\common\system\executive.py", line 435, in run_command
    close_fds=self._should_close_fds())
  File "C:\Users\Alex\Documents\WinCairoBot\win-cairo-release\build\Tools\Scripts\webkitpy\common\system\executive.py", line 506, in popen
    return subprocess.Popen(string_args, **kwargs)
  File "C:\Python27\lib\subprocess.py", line 710, in __init__
    errread, errwrite)
  File "C:\Python27\lib\subprocess.py", line 958, in _execute_child
    startupinfo)
WindowsError: [Error 2] The system cannot find the file specified
Comment 6 Csaba Osztrogonác 2015-09-24 07:00:49 PDT
The WinCairo bot doesn't run tests long time ago.